'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.createHowdoiObj = exports.createComment = void 0;
function createComment(command, commentChar) {
    // adds single line comment to string provided
    const frontCommentChar = commentChar.frontComment;
    const endCommentChar = commentChar.endComment;
    if (frontCommentChar && (endCommentChar !== '')) {
        const commentedCommand = frontCommentChar + ' ' + command + ' ' + endCommentChar;
        return commentedCommand;
    }
    const commentedCommand = frontCommentChar + ' ' + command;
    return commentedCommand;
}
exports.createComment = createComment;
function createHowdoiObj(parsedJson, userCommand, commentChar) {
    // creates a HowdoiObj interface 
    const howdoiObj = { question: userCommand, answer: [], link: [] };
    for (let i = 0; i < parsedJson.length; i++) {
        if (parsedJson[i].answer.trim() === 'end=\'\'') {
            break;
        }
        howdoiObj.answer.push(parsedJson[i].answer.trim());
        howdoiObj.link.push(createComment(parsedJson[i].link.trim(), commentChar));
    }
    return howdoiObj;
}
exports.createHowdoiObj = createHowdoiObj;
//# sourceMappingURL=create_attributes.js.map